


%--------------------------------------------------------------------------
%       plot correlation
%--------------------------------------------------------------------------

%%
if taylor ==1
bulc4 =ones(3,6);
bcpi4 =bulc4;
bgdp4 =bulc4; 
for k = 0:5
    kk =[0:k*4];
    A = [rerulc(3501:end,:)];
    Y = [y(3501:end,:)];
    lagA =[lagmatrix(A,kk), lagmatrix(Y,kk)];
    lagA = lagA(1+k*4:end,:);
    [b,int]=regress(cay(3501+k*4:end,:),lagA,0.01);
    bulc4(1,k+1) =b(1+k*columns(A),1);
    bulc4(2,k+1) =int(1+k*columns(A),1);
    bulc4(3,k+1) =int(1+k*columns(A),2);


    A = [rercpi(3501:end,:)];
    Y = [y(3501:end,:)];
    lagA =[lagmatrix(A,kk), lagmatrix(Y,kk)];
    lagA = lagA(1+k*4:end,:);
    [b,int]=regress(cay(3501+k*4:end,:),lagA,0.05);
    bcpi4(1,k+1) =b(1+k*columns(A),1);
    bcpi4(2,k+1) =int(1+k*columns(A),1);
    bcpi4(3,k+1) =int(1+k*columns(A),2);

    A = [rergdp(3501:end,:)];
    Y = [y(3501:end,:)];
    lagA =[lagmatrix(A,kk), lagmatrix(Y,kk)];
    lagA = lagA(1+k*4:end,:);
    [b,int]=regress(cay(3501+k*4:end,:),lagA,0.05);
    bgdp4(1,k+1) =b(1+k*columns(A),1);
    bgdp4(2,k+1) =int(1+k*columns(A),1);
    bgdp4(3,k+1) =int(1+k*columns(A),2);
end

tt =[0:5];
figure;
ax1 =subplot(1,3,1);
    boundedline(tt,bulc4(1,:),[bulc4(2,:)-bulc4(1,:)],'r','alpha');
    hold on;
    plot(tt,zeros(1,6),':k','LineWidth',1);
    set(gca,'XTick',[0:5])
    xticklabels({'0','lag4','lag8','lag12','lag16','lag20'});
    xlabel('quarters','FontSize', 12)
    title('RERulc','FontSize', 20)
    set(gca,'FontSize',12)
ax2 =subplot(1,3,2);
    boundedline(tt,bcpi4(1,:),[bcpi4(2,:)-bcpi4(1,:)],'r', 'alpha');
    hold on;
    plot(tt,zeros(1,6),':k','LineWidth',1);
    set(gca,'XTick',[0:5])
    xticklabels({'0','lag4','lag8','lag12','lag16','lag20'});
    xlabel('quarters','FontSize', 12)
    hold off;
    title('RERcpi','FontSize', 20)
    set(gca,'FontSize',12)
ax3 =subplot(1,3,3);
    boundedline(tt,bgdp4(1,:),[bgdp4(2,:)-bgdp4(1,:)],'r', 'alpha');
    hold on;
    plot(tt,zeros(1,6),':k','LineWidth',1);
    set(gca,'XTick',[0:5])
    xticklabels({'0','lag4','lag8','lag12','lag16','lag20'});
    xlabel('quarters','FontSize', 12)
    hold off;
    title('RERgdp','FontSize', 20)
    set(gca,'FontSize',12)
linkaxes([ax1,ax2,ax3],'y');
set(gcf, 'PaperPosition', [0 0 20 4]);
set(gcf, 'PaperSize', [20 4]);
saveas(gcf, 'lags', 'pdf')
end


